Search files and foldersAsk AIpost https://api.safetyculture.io/documents/v1/searchReturns a list of files and folders.Body ParamsRequest to search the files and folders.page_sizeint32The number of items (files and folders combined) to return. Max value is 25. Defaults to 25 if not provided.page_tokenstringThe token to retrieve the next page of results. Use the value returned in the `next_page_token`` from the previous response.include_media_urlbooleanIf true, includes a temporary media URL for each file so it can be downloaded.truefalsearchivedbooleanIf true, only archived files will be returned.truefalsesearch_termstringSearch term to match against file or folder names. This is case-insensitive, must be 1-130 characters, and exclude invalid characters.item_idsarray of stringsList of item IDs to filter results. Only items matching any of the IDs will be returned.item_idsADD stringvalid_toobjectTimeInterval to filter by expiry date. If only from is set, it will return files expiring after that date. If only to is set, it will return files expiring before that date. If both are set, it will return files expiring within that time range.Object representing the time interval applied to filtering folder and files objectResponses 200A successful response. defaultAn unexpected error response.Updated 5 months ago